﻿var returnUrl = "../home/index.html"; //返回地址
var shadowName = ""; //影子账号名

(function() {
	//用户登录
	var login = function() {
		var loginForm = document.forms["loginForm"];

		var accountName = loginForm.elements["txtShadowName"].value;
		var password = loginForm.elements["password"].value;
		var verifyCode = loginForm.elements["verifyCode"] ? loginForm.elements["verifyCode"].value : undefined;
		var isRemember = loginForm.elements["isRemember"] ? loginForm.elements["isRemember"].checked ? 1 : 0 : 0;

		if (!verifyLogin(accountName, password, verifyCode)) {
			return;
		}

		var parms = new Object();
		parms["accountName"] = accountName;
		parms["password"] = password;
		parms["verifyCode"] = verifyCode;
		parms["isRemember"] = isRemember;
		$.post(apiUrl + "/mobile/account/login2", parms, KelaAccount.loginResponse)
	};

	//用户注册
	var register = function() {
		var registerForm = document.forms["registerForm"];

		var accountName = registerForm.elements["txtShadowName"].value;
		var password = registerForm.elements["password"].value;
		var confirmPwd = registerForm.elements["confirmPwd"].value;
		var verifyCode = registerForm.elements["verifyCode"] ? registerForm.elements["verifyCode"].value : undefined;
		var mobile = registerForm.elements["mobile"].value;
		var verifyCodemoblie = registerForm.elements["verifyCodemoblie"] ? registerForm.elements["verifyCodemoblie"].value : undefined;

		if (!verifyRegister(accountName, password, confirmPwd, verifyCode)) {
			return;
		}

		var parms = new Object();
		parms["accountName"] = accountName;
		parms["password"] = password;
		parms["confirmPwd"] = confirmPwd;
		parms["verifyCode"] = verifyCode;
		parms["mobile"] = mobile;
		parms["verifyCodemoblie"] = verifyCodemoblie;
		$.post(apiUrl + "/mobile/account/register2", parms, registerResponse)
	};

	//处理登录的反馈信息
	var loginResponse = function(data) {
		if (data.Status == statusTypeEnum.success) {
			if (data.BackUrl.length > 0) {
//				var curr = plus.webview.currentWebview();
//				var index = curr.parent();
//				plus.webview.open('../home/index.html');
//				index.close();
				var state = plus.webview.currentWebview().state;
				if(state==1){
					detailPage = plus.webview.getWebviewById('../cart/index.html');
					mui.fire(detailPage,'cartIndex',{
			 		});
//					var indexwebview=plus.webview.getWebviewById("../cart/index.html");
//					indexwebview.evalJS("loadingdata();");
					mui.back();
				}else{
					var indexwebview=plus.webview.getWebviewById(plus.runtime.appid);
					indexwebview.evalJS("goMainpage();");
				}
				var uwebview=plus.webview.getWebviewById("../ucenter/index.html");
				console.log(uwebview.id);
				uwebview.evalJS("window.location.href='../ucenter/index.html';");
			}
		} else {
			var result = eval("(" + data + ")");
			if (result.state == "error") {
				showVerifyError(result.content)
			}
		}
	};

	//找回密码
	var findPwd = function() {
		var findPwdForm = document.forms["findPwdForm"];

		var accountName = findPwdForm.elements["txtShadowName"].value;

		var verifyCode = findPwdForm.elements["verifyCode"] ? findPwdForm.elements["verifyCode"].value : undefined;

		if (!verifyFindPwd(accountName, verifyCode)) {
			return;
		}

		var parms = new Object();
		parms["accountName"] = accountName;
		parms["verifyCode"] = verifyCode;
		$.post(apiUrl + "/mobile/account/findpwdpartial", parms, findPwdResponse)
	};

	return KelaAccount = {
		login: login,
		register: register,
		loginResponse: loginResponse,
		findPwd: findPwd
	}
})();

//展示验证错误
function showVerifyError(verifyErrorList) {
	if (verifyErrorList != undefined && verifyErrorList != null && verifyErrorList.length > 0) {
		var msg = "";
		for (var i = 0; i < verifyErrorList.length; i++) {
			msg += verifyErrorList[i].msg + "\n";
		}
		mui.alert(msg)
	}
}

//验证登录
function verifyLogin(accountName, password, verifyCode) {
	if (accountName.length == 0) {
		mui.alert("请输入帐号名");
		return false;
	}
	if (password.length == 0) {
		mui.alert("请输入密码");
		return false;
	}
	if (verifyCode != undefined && verifyCode.length == 0) {
		mui.alert("请输入验证码");
		return false;
	}
	return true;
}

//处理登录的反馈信息
function loginResponse(data) {
	var result = eval("(" + data + ")");
	if (result.state == "success") {
		window.location.href = returnUrl;
	} else {
		showVerifyError(result.content);
	}
}

//验证注册
function verifyRegister(accountName, password, confirmPwd, verifyCode) {
	if (accountName.length == 0) {
		mui.alert("请输入帐号名");
		return false;
	}
	if (password.length == 0) {
		mui.alert("请输入密码");
		return false;
	}
	if (password != confirmPwd) {
		mui.alert("两次输入的密码不一样");
		return false;
	}
	if (verifyCode != undefined && verifyCode.length == 0) {
		mui.alert("请输入验证码");
		return false;
	}
	return true;
}

//处理注册的反馈信息
function registerResponse(data) {
	var result = eval("(" + data + ")");
	if (result.state == "success") {
		mui.alert(result.content);
//		var curr = plus.webview.currentWebview();
//		var index = curr.parent();
//		plus.webview.open('../home/index.html');
//		index.close();
		var uwebview = plus.webview.getWebviewById("../ucenter/index.html");
		var loginwebview = plus.webview.getWebviewById("login.html");
		uwebview.evalJS("window.location.href='../ucenter/index.html';");
		if(loginwebview){
			loginwebview.close();
		}
		setTimeout(function() {
			mui.back();
		}, 500)
	} else if (result.state == "exception") {
		mui.alert(result.content);
	} else if (result.state == "error") {
		showVerifyError(result.content);
	}
}

//验证找回密码
function verifyFindPwd(accountName, verifyCode) {
	if (accountName.length == 0) {
		mui.alert("请输入帐号名");
		return false;
	}
	if (verifyCode != undefined && verifyCode.length == 0) {
		mui.alert("请输入验证码");
		return false;
	}
	return true;
}

//处理找回密码的反馈信息
function findPwdResponse(data) {
	var result = eval("(" + data + ")");
	if (result.state == "success") {
		window.location.href = result.content;
	} else if (result.state == "nocanfind") {
		mui.alert(result.content);
	} else if (result.state == "error") {
		showVerifyError(result.content);
	}
}

//发送找回密码短信
function sendFindPwdMobile(uid) {
	$.get(apiUrl + "/mobile/account/sendfindpwdmobile?uid=" + uid, function(data) {
		var result = eval("(" + data + ")");
		var isRepeatSendMsg = false; //true代表60秒内发过了
		var isRepeatTime = 60;
		var repeatTimerId;
		mui.alert(result.content);
		if(!isRepeatSendMsg) {
					isRepeatSendMsg = true;
					repeatTimerId = setInterval(function() {
						document.getElementById("btnGetVerifyCode").innerHTML = "重新获取(" + (--isRepeatTime) + ")";
						if(isRepeatTime <= 0) {
							isRepeatSendMsg = false;
							clearInterval(repeatTimerId);
							isRepeatTime = 60;
							document.getElementById("btnGetVerifyCode").innerHTML = "获取验证码";
						}
					}, 1000);
				}
	})
}

//验证找回密码短信
function verifyFindPwdMobile(uid, mobileCode) {
	if (mobileCode.length == 0) {
		mui.alert("请输入短信验证码");
		return;
	}
	$.post(apiUrl + "/mobile/account/verifyfindpwdmobile?uid=" + uid, {
		'mobileCode': mobileCode
	}, function(data) {
		var result = eval("(" + data + ")");
		if (result.state == "success") {
			window.location.href = result.content;
		} else {
			mui.alert(result.content)
		}
	})
}

//发送找回密码邮件
function sendFindPwdEmail(uid) {
	$.get(apiUrl + "/mobile/account/sendfindpwdemail?uid=" + uid, function(data) {
		var result = eval("(" + data + ")");
		mui.alert(result.content)
	})
}

//重置用户密码
function resetPwd(v) {
	var resetPwdForm = document.forms["resetPwdForm"];

	var password = resetPwdForm.elements["password"].value;
	var confirmPwd = resetPwdForm.elements["confirmPwd"].value;

	if (!verifyResetPwd(password, confirmPwd)) {
		return;
	}

	var parms = new Object();
	parms["password"] = password;
	parms["confirmPwd"] = confirmPwd;
	$.post(apiUrl + "/mobile/account/resetpwdpartial?v=" + v, parms, resetPwdResponse)
}

//验证重置密码
function verifyResetPwd(password, confirmPwd) {
	if (password.length == 0) {
		mui.alert("请输入密码");
		return false;
	}
	if (password != confirmPwd) {
		mui.alert("两次输入的密码不一样");
		return false;
	}
	return true;
}

//处理验证重置密码的反馈信息
function resetPwdResponse(data) {
	var result = eval("(" + data + ")");
	if (result.state == "success") {
		mui.alert("密码修改成功,请重新登录");
		window.location.href = result.content;
	} else if (result.state == "error") {
		showVerifyError(result.content);
	}
}