﻿(function() {
	//添加商品到收藏夹
	var addProductToFavorite = function(pid) {
		$.get(apiUrl + "/mobile/ucenter/AddProductToFavorite2?pid=" + pid, function(data) {
			KelaProduct.addProductToFavoriteResponse(pid, data)
		});

	};

	//添加商品到购物车
	var addProductToCart = function(pid, buyCount, type, name) {
		console.log(1);
		$.get(apiUrl + "/mobile/cart/addproduct2?pid=" + pid + "&buyCount=" + buyCount, function(data) {
			KelaProduct.addProductToCartResponse(type, data, name);
		});
	};

	//处理添加商品到收藏夹的反馈信息
	var addProductToFavoriteResponse = function(pid,data) {
		if (data.Status == statusTypeEnum.success) {
			mui.alert(data.Msg);
			location.reload();
		} else if (data.Status == statusTypeEnum.fail) {
			mui.alert(data.Msg);
			if (data.BackUrl.length > 0) {
				mui.openWindow({
					url: "../account/login.html?isshow=1",
					id: "login.html",
					show:{
						aniShow:'slide-in-right'
					},
					extras:{
						state:1
					}
				});
			}
		} else if (data.Status == statusTypeEnum.redirect) {
			window.location.href = data.BackUrl;
		}
	};

	//处理添加商品到购物车的反馈信息
	var addProductToCartResponse = function(type, data, name) {
		console.log(2);
		if (data.Status == statusTypeEnum.success) {
			console.log(3);
			if (type == 0) {
				var cate=plus.webview.getWebviewById("category.html");
			    var fav=plus.webview.getWebviewById("../ucenter/myfavoritepro.html");
			    var indexwebview=plus.webview.getWebviewById(plus.runtime.appid);
			    indexwebview.evalJS("goCartpage();");
			    if(fav){
			    	fav.close();
			    }
			    if(cate){
			    	document.getElementById("addResult2").style.display="none";
			    	plus.nativeUI.showWaiting("", {});
			    	setTimeout(function(){
			        	cate.close();
			        	plus.nativeUI.closeWaiting();
			    	}, 500);
			    }else{
			    	if(name==0){
			    		return;
			    	}else{
			    		mui.back();
			    	}
			    	
			    }
			} else {
				$("#addResult1").css("height", $(document).height());
				$("#addResult1").css("width", $(document).width());
				$("#addResult1").show();
				$("#addResult2").show();
			}
		} else if (data.Status == statusTypeEnum.fail) {
			mui.alert(data.Msg);
			if (data.BackUrl.length > 0) {
				setTimeout(function() {
					window.location.href = data.BackUrl;
				}, 3000);
			}
		} else if (data.Status == statusTypeEnum.redirect) {
			window.location.href = data.BackUrl;
		}
	};

	KelaProduct = {
		addProductToFavorite: addProductToFavorite,
		addProductToCart: addProductToCart,
		addProductToFavoriteResponse: addProductToFavoriteResponse,
		addProductToCartResponse: addProductToCartResponse
	};
})();
//增加商品数量
function addProuctCount() {
	var buyCountInput = $("#buyCount");
	var buyCount = buyCountInput.val();
	if (!isInt(buyCount)) {
		mui.alert('请输入数字');
		return false;
	}
	buyCountInput.val(parseInt(buyCount) + 1);
}

//减少商品数量
function cutProductCount() {
	var buyCountInput = $("#buyCount");
	var buyCount = buyCountInput.val();
	if (!isInt(buyCount)) {
		mui.alert('请输入数字');
		return false;
	}
	var count = parseInt(buyCount);
	if (count > 1) {
		buyCountInput.val(count - 1);
	}
}

//添加商品到收藏夹
function addProductToFavorite(pid) {
	if (pid < 1) {
		mui.alert("请选择商品");
	} else if (uid < 1) {
		mui.alert("请先登录");
	} else {
		$.get("/mob/ucenter/addproducttofavorite?pid=" + pid, addProductToFavoriteResponse)
	}
}

//处理添加商品到收藏夹的反馈信息
function addProductToFavoriteResponse(data) {
	var result = eval("(" + data + ")");
	mui.alert(result.content);
}

//处理添加商品到购物车的反馈信息
function addProductToCartResponse(type, data) {
	var result = eval("(" + data + ")");
	if (result.state == "success") {
		if (type == 0) {
			window.location.href = "/mob/cart/index";
		} else {
			$("#addResult1").show();
			$("#addResult2").show();
		}
	} else {
		mui.alert(result.content);
	}
}

//添加套装到购物车
function addSuitToCart(pmId, buyCount, type) {
	if (pmId < 1) {
		mui.alert("请选择套装");
	} else if (isGuestSC == 0 && uid < 1) {
		mui.alert("请先登录");
	} else if (buyCount < 1) {
		mui.alert("请填写购买数量");
	} else {
		$.get("/mob/cart/addsuit?pmId=" + pmId + "&buyCount=" + buyCount, function(data) {
			addSuitToCartResponse(type, data);
		});
	}
}

//处理添加套装到购物车的反馈信息
function addSuitToCartResponse(type, data) {
	var result = eval("(" + data + ")");
	if (result.state != "stockout") {
		if (type == 0) {
			window.location.href = "/mob/cart/index";
		} else {
			$("#addResult1").show();
			$("#addResult2").show();
		}
	} else {
		mui.alert("商品库存不足");
	}
}

//获得商品评价列表
function getProductReviewList(pid, reviewType, page) {
	$.get("/mob/catalog/ajaxproductreviewlist?pid=" + pid + "&reviewType=" + reviewType + "&page=" + page, getProductReviewListResponse)
}

//处理获得商品评价的反馈信息
function getProductReviewListResponse(data) {
	$("#productReviewList").html(data);
}

//获得商品咨询列表
function getProductConsultList(pid, consultTypeId, consultMessage, page) {
	$.get("/mob/catalog/ajaxproductconsultlist?pid=" + pid + "&consultTypeId=" + consultTypeId + "&consultMessage=" + encodeURIComponent(consultMessage) + "&page=" + page, getProductConsultListResponse)
}

//处理获得商品咨询的反馈信息
function getProductConsultListResponse(data) {
	$("#productConsultList").html(data);
}