﻿var uid = -1; //用户id
var isGuestSC = 0; //是否允许游客使用购物车(0代表不可以，1代表可以)

var apiUrl = "http://store.kelasoft.com";
//var apiUrl = "http://192.168.2.100:8002";
var kelaapiUrl = "http://api.kelasoft.com/api";

$.ajaxSetup({
	cache: false //关闭AJAX缓存
});
//扩展jquery获得Url参数方法
(function($) {
	$.request = function(name) {
		var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
		var r = window.location.search.substr(1).match(reg);

		if (r != null) return unescape(r[2]);

		return null;
	}
})(jQuery);

//取出字符串中的?后面的参数
function getParamByString(str, name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
	var r = str.substr(str.indexOf("?")).substr(1).match(reg);
	if (str != null) return unescape(r[2]);
	return null;
}

(function() {
	var GetQueryString = function(name) {
		var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
		var r = window.location.search.substr(1).match(reg);
		if (r != null) {
			//return unescape(r[2]);
			return r[2];
		}

		return null;
	};

	//导航栏样式切换
	var menuon = function(x) {
		$(".new-tbl-type a").eq(0).attr("class", "new-tbl-cell m1off");
		$(".new-tbl-type a").eq(1).attr("class", "new-tbl-cell m2off");
		$(".new-tbl-type a").eq(2).attr("class", "new-tbl-cell m3off");
		$(".new-tbl-type a").eq(3).attr("class", "new-tbl-cell m4off");
		$(".new-tbl-type a").eq(x).attr("class", "new-tbl-cell m" + (x + 1) + "on");
	};

	return KelaCommon = {
		GetQueryString: GetQueryString,
		menuon: menuon
	};

})();

//判断是否是数字
function isNumber(val) {
	var regex = /^[\d|\.]+$/;
	return regex.test(val);
}

//判断是否为整数
function isInt(val) {
	var regex = /^\d+$/;
	return regex.test(val);
}

//判断是否为邮箱
function isEmail(val) {
	var regex = /^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/;
	return regex.test(val);
}

//判断是否为手机号
function isMobile(val) {
	var regex = /^[1][0-9][0-9]{9}$/;
	return regex.test(val);
}

//返回
function pageBack() {
	var a = window.location.href;
	if (/#top/.test(a)) {
		window.history.go(-2);
		window.location.load(window.location.href)
	} else {
		window.history.back();
		window.location.load(window.location.href)
	}
}

//导航栏显示和隐藏
function navSH() {
	$("#nav").toggle();
}

//搜索
function search(word) {
	if (word == undefined || word == null || word.length < 1) {
		mui.plusReady(function() {
			mui.alert("请输入关键词");
		});
	} else {
		window.location.href = "/mob/catalog/search?word=" + encodeURIComponent(word);
	}
}

//获得分类商品列表
var cpListNextPageNumber = 2;

function getCategoryProductList(cateId, brandId, filterPrice, filterAttr, onlyStock, sortColumn, sortDirection, page) {
	$("#loadBut").hide();
	$("#loadPrompt").show();
	$.get(apiUrl + "/mobile/catalog/ajaxcategory?cateId=" + cateId + "&brandId=" + brandId + "&filterPrice=" + filterPrice + "&filterAttr=" + filterAttr + "&onlyStock=" + onlyStock + "&sortColumn=" + sortColumn + "&sortDirection=" + sortDirection + "&page=" + page, function(data) {
		getCategoryProductListResponse(data);
	})
}

//处理获得分类商品列表的反馈信息
function getCategoryProductListResponse(data) {
	try {
		var result = eval("(" + data + ")");
		var element = document.createElement("div");
		element.className = "";
		var innerHTML = "";
		for (var i = 0; i < result.ProductList.length; i++) {
			var reviewLayer = 100;
			var goodStars = result.ProductList[i].Star1 + result.ProductList[i].Star2 + result.ProductList[i].Star3;
			var allStars = goodStars + result.ProductList[i].Star4 + result.ProductList[i].Star5;
			if (allStars != 0) {
				reviewLayer = goodStars * 100 / allStars;
			}

			innerHTML += "<div class='proItme'><a href=\"../catalog/product.html?pid=" + result.ProductList[i].Pid + "\">";
			innerHTML += "<img src=\"" + apiUrl + "/upload/store/"+result.ProductList[i].StoreId+"/product/show/thumb230_230/" + result.ProductList[i].ShowImg + "\" width='100' height='100' class='img' />";
			innerHTML += "<span class='proDt'>";
			innerHTML += "<strong class='proDD DD1'>" + result.ProductList[i].Name + "</strong>";
			innerHTML += "<b class='proDD DD3'>￥" + result.ProductList[i].ShopPrice + "</b>";
			innerHTML += "<p class='proDD DD4'>" + result.ProductList[i].ReviewCount + " 人评价，" + reviewLayer + "%好评</p>";
			innerHTML += "</span></a></div>";
		}
		element.innerHTML = innerHTML;
		document.getElementById("categoryProductListBlock").appendChild(element);
		if (result.PageModel.HasNextPage) {
			$("#loadBut").show();
			$("#loadPrompt").hide();
			cpListNextPageNumber += 1;
		} else {
			$("#loadBut").hide();
			$("#loadPrompt").hide();
			$("#lastPagePrompt").show();
		}
	} catch (ex) {
		mui.plusReady(function() {
			mui.alert("加载错误");
		});
	}
}

//获得搜索商品列表
var spListNextPageNumber = 2;

function getSearchProductList(word, cateId, brandId, filterPrice, filterAttr, onlyStock, sortColumn, sortDirection, page) {
	document.getElementById("loadBut").style.display = "none";
	document.getElementById("loadPrompt").style.display = "block";
	$.get("/mob/catalog/ajaxsearch?word=" + encodeURIComponent(word) + "&cateId=" + cateId + "&brandId=" + brandId + "&filterPrice=" + filterPrice + "&filterAttr=" + filterAttr + "&onlyStock=" + onlyStock + "&sortColumn=" + sortColumn + "&sortDirection=" + sortDirection + "&page=" + page, function(data) {
		getSearchProductListResponse(data);
	})
}

//处理获得搜索商品列表的反馈信息
function getSearchProductListResponse(data) {
	try {
		var result = eval("(" + data + ")");
		var element = document.createElement("div");
		element.className = "proItme";
		var innerHTML = "";
		for (var i = 0; i < result.ProductList.length; i++) {
			var reviewLayer = 100;
			var goodStars = result.ProductList[i].Star1 + result.ProductList[i].Star2 + result.ProductList[i].Star3;
			var allStars = goodStars + result.ProductList[i].Star4 + result.ProductList[i].Star5;
			if (allStars != 0) {
				reviewLayer = goodStars * 100 / allStars;
			}

			innerHTML += "<a href=\"../catalog/product.html?pid=" + result.ProductList[i].Pid + "\">";
			innerHTML += "<img src=\"" + apiUrl + "/upload/product/show/thumb230_230/" + result.ProductList[i].ShowImg + "\" width='100' height='100' class='img' />";
			innerHTML += "<span class='proDt'>";
			innerHTML += "<strong class='proDD DD1'>" + result.ProductList[i].Name + "</strong>";
			innerHTML += "<b class='proDD DD3'>￥" + result.ProductList[i].ShopPrice + "</b>";
			innerHTML += "<p class='proDD DD4'>" + result.ProductList[i].ReviewCount + " 人评价，" + reviewLayer + "%好评</p>";
			innerHTML += "</span></a>";
		}
		element.innerHTML = innerHTML;
		document.getElementById("searchProductListBlock").appendChild(element);
		if (result.PageModel.HasNextPage) {
			$("#loadBut").show();
			$("#loadPrompt").hide();
			spListNextPageNumber += 1;
		} else {
			$("#loadBut").hide();
			$("#loadPrompt").hide();
			$("#lastPagePrompt").show();
		}
	} catch (ex) {
		mui.plusReady(function() {
			mui.alert("加载错误");
		});
	}
}

//添加店铺到收藏夹
function addStoreToFavorite(storeId) {
	//      if (storeId < 1) {
	//          mui.alert("请选择店铺");
	//      }
	//      else if (uid < 1) {
	//          mui.alert("请先登录");
	//      }
	//      else {
	//          
	//      }
	$.get(apiUrl + "/mobile/ucenter/addstoretofavorite2?storeId=" + storeId, addStoreToFavoriteResponse)
}

//处理添加店铺到收藏夹的反馈信息
function addStoreToFavoriteResponse(data) {
	if (data.Status == statusTypeEnum.success) {
		mui.plusReady(function() {
			mui.alert(data.Msg);
		});
	}
	else if(data.Status == statusTypeEnum.fail) {
		mui.plusReady(function() {
			mui.alert(data.Msg);
		});
		if (data.BackUrl.length > 0) {
			setTimeout(function() {
				window.location.href = data.BackUrl;
			}, 3000);
		}
	}
}

/**
 *  @desc:json返回Status值枚举
 *  0:失败 1:成功 2:跳转
 */
var statusTypeEnum = {
	fail: 0,

	success: 1,

	redirect: 2
};

/*
@data:ajax返回的对象
@callback:成功的回调函数
*/
var ajaxResult = function(data, callback) {
	if (data.Status == statusTypeEnum.success) {
		if (callback) {
			callback();
		}
	} else if (data.Status == statusTypeEnum.fail) {
		mui.plusReady(function() {
			mui.alert(data.Msg);
		});
	} else if (data.Status == statusTypeEnum.redirect) {
		window.location.href = data.BackUrl;
	}

};