﻿//获得订单列表
var orderListNextPageNumber = 2;

function getOrderList(startAddTime, endAddTime, orderState, page) {
	$("#loadBut").hide();
	$("#loadPrompt").show();
	$.get(apiUrl + "/mobile/ucenter/ajaxorderlist?startAddTime=" + startAddTime + "&endAddTime=" + endAddTime + "&orderState=" + orderState + "&page=" + page, function(data) {
		getOrderListResponse(data);
	})
}

//处理获得订单列表的反馈信息
function getOrderListResponse(data) {
	try {
		var result = eval("(" + data + ")");
		var element = document.createElement("div");
		element.className = "";
		var innerHTML = "";
		for(var i = 0; i < result.OrderList.length; i++) {
			var oid = result.OrderList[i].oid;
			var orderState = result.OrderList[i].orderstate;
			var orderProductInfo = null;
			for(var j = 0; j < result.OrderProductList.length; j++) {
				if(result.OrderProductList[j].Oid == oid) {
					if(orderProductInfo == null)
						orderProductInfo = result.OrderProductList[j];
				}
			}

			if(result.OrderProductList.length < 0) {
				innerHTML += "<div class='proItme'>";

				innerHTML += "<a href='../ucenter/orderinfo.html?oid=" + oid + "'>";
				innerHTML += "<img src='" + apiUrl + "/upload/store/" + orderProductInfo.StoreId + "/product/show/thumb60_60/" + orderProductInfo.ShowImg + "'>";
				innerHTML += "<div class='order-msg'>";
				innerHTML += "<p class='title'>" + orderProductInfo.Name + "</p>";
				innerHTML += "<p class='price'>¥" + orderProductInfo.DiscountPrice + "<span></span></p>";
				innerHTML += "<p class='order-data'>" + orderProductInfo.AddTime + "</p>";
				innerHTML += "</div></a>";

				innerHTML += "<div class='proBt'>";
				innerHTML += "<a class='redBt' href='../ucenter/orderactionlist.html?oid=" + oid + "' id='orderActionList" + oid + "'>订单跟踪</a>";
				if(orderState == 30 && result.OrderList[i].paymode == 1) {
					innerHTML += "<a class='redBt' style='margin-left:5px;' href='../order/payshow.html?oidList=" + oid + "' id='payOrderBut" + oid + "'>在线支付</a>";
				}
				if(orderState == 140 && result.OrderList[i].isreview == 0) {
					innerHTML += "<a class='redBt' style='margin-left:5px;' href='../ucenter/revieworder.html?oid=" + oid + "'>订单评价</a>";
				}
				if(orderState == 30 || (orderState == 50 && result.OrderList[i].paymode == 0)) {
					innerHTML += "<a class='redBt' style='margin-left:5px;' href='javascript:cancelOrder(" + oid + ", 0)' id='cancelOrderBut" + oid + "'>取消订单</a>";
				}
				innerHTML += "</div></div>";
			}
		}
		element.innerHTML = innerHTML;
		document.getElementById("orderListBlock").appendChild(element);

		if(result.PageModel.HasNextPage) {
			$("#loadBut").show();
			$("#loadPrompt").hide();
			orderListNextPageNumber += 1;
		} else {
			$("#loadBut").hide();
			$("#loadPrompt").hide();
			$("#lastPagePrompt").show();
		}
	} catch(ex) {
		alert("加载错误");
	}
}

//取消订单
function cancelOrder(oid, cancelReason) {
	if(confirm("是否確認取消訂單")) {
		$.post(apiUrl + "/mobile/ucenter/cancelorder", {
			'oid': oid,
			'cancelReason': cancelReason
		}, cancelOrderResponse);
	}
}

//处理取消订单的反馈信息
function cancelOrderResponse(data) {
	var result = eval("(" + data + ")");
	if(result.state == "success") {
		//		$("#cancelOrderBut" + result.content).parent().html("<a class='redBt' href='" + document.getElementById("orderActionList" + result.content).href + "'>订单跟踪</a>");
		alert("取消成功");
		location.reload();
	} else {
		alert(result.content);
	}
}

//确认收货
function confirmOrder(oid) {
	if(confirm("是否确认收货")) {
		$.post(apiUrl + "/mobile/ucenter/ConfirmOrder", {
			'oid': oid
		}, confirmOrderResponse);
	}
}

//处理确认收货的反馈信息
function confirmOrderResponse(data) {
	var result = eval("(" + data + ")");
	if(result.state == "success") {
		//		$("#cancelOrderBut" + result.content).parent().html("<a class='redBt' href='" + document.getElementById("orderActionList" + result.content).href + "'>订单跟踪</a>");
		alert("确认收货成功");
		location.reload();
	} else {
		alert(result.content);
	}
}

//确认退货
function confirmCancel(oid) {
	if(confirm("是否确认退货")) {
		$.post(apiUrl + "/mobile/ucenter/ConfirmCancel", {
			'oid': oid
		}, confirmCancelResponse);
	}
}

//处理确认退货的反馈信息
function confirmCancelResponse(data) {
	var result = eval("(" + data + ")");
	if(result.state == "success") {
		//		$("#cancelOrderBut" + result.content).parent().html("<a class='redBt' href='" + document.getElementById("orderActionList" + result.content).href + "'>订单跟踪</a>");
		alert("确认退货成功");
		location.reload();
	} else {
		alert(result.content);
	}
}

//选择商品星星
function selectProductStar(i) {
	var list = document.getElementById("productStarBlock").getElementsByTagName("span");
	for(var j = 1; j <= 5; j++) {
		if(j <= i) {
			list[j - 1].className = "on";
		} else {
			list[j - 1].className = "";
		}
	}
	var reviewProductFrom = document.forms["reviewProductFrom"];
	reviewProductFrom.elements["star"].value = i;
}

//选择描述星星
function selectDescriptionStar(i) {
	var list = document.getElementById("descriptionBlock").getElementsByTagName("span");
	for(var j = 1; j <= 5; j++) {
		if(j <= i) {
			list[j - 1].className = "on";
		} else {
			list[j - 1].className = "";
		}
	}
	var reviewProductFrom = document.forms["reviewStoreFrom"];
	reviewProductFrom.elements["descriptionStar"].value = i;
}

//选择服务星星
function selectServiceStar(i) {
	var list = document.getElementById("serviceBlock").getElementsByTagName("span");
	for(var j = 1; j <= 5; j++) {
		if(j <= i) {
			list[j - 1].className = "on";
		} else {
			list[j - 1].className = "";
		}
	}
	var reviewProductFrom = document.forms["reviewStoreFrom"];
	reviewProductFrom.elements["serviceStar"].value = i;
}

//选择配送星星
function selectShipStar(i) {
	var list = document.getElementById("shipBlock").getElementsByTagName("span");
	for(var j = 1; j <= 5; j++) {
		if(j <= i) {
			list[j - 1].className = "on";
		} else {
			list[j - 1].className = "";
		}
	}
	var reviewProductFrom = document.forms["reviewStoreFrom"];
	reviewProductFrom.elements["shipStar"].value = i;
}

//打开评价商品层
function openReviewProductBlock(recordId) {
	var reviewProductFrom = document.forms["reviewProductFrom"];
	reviewProductFrom.elements["recordId"].value = recordId;
	$("#reviewProductBlock").show();
}

//评价商品
function reviewProduct() {
	var reviewProductFrom = document.forms["reviewProductFrom"];

	var oid = reviewProductFrom.elements["oid"].value;
	var recordId = reviewProductFrom.elements["recordId"].value;
	var star = parseInt(reviewProductFrom.elements["star"].value);
	var message = reviewProductFrom.elements["message"].value;

	if(!verifyReviewProduct(recordId, star, message)) {
		return;
	}

	$.post(apiUrl + "/mobile/ucenter/reviewproduct?oid=" + oid + "&recordId=" + recordId, {
		'star': star,
		'message': message
	}, reviewProductResponse);
}

//验证评价商品
function verifyReviewProduct(recordId, star, message) {
	alert(star);
	if(recordId < 1) {
		alert("请选择商品");
		return false;
	}
	if(star < 1 || star > 5) {
		alert("请选择星星");
		return false;
	}
	if(message.length == 0) {
		alert("请输入评价内容");
		return false;
	}
	if(message.length > 100) {
		alert("评价内容最多输入100个字");
		return false;
	}
	return true;
}

//处理评价商品的反馈信息
function reviewProductResponse(data) {
	var result = eval("(" + data + ")");
	if(result.state == "success") {
		var reviewProductFrom = document.forms["reviewProductFrom"];
		reviewProductFrom.elements["recordId"].value = 0;
		reviewProductFrom.elements["message"].value = "";
		selectProductStar(5);

		$("#reviewProductBlock").hide();

		$("#reviewOperate" + result.content).html("您已评价");
		$("#reviewOperate" + result.content).unbind();
		$("#reviewOperate" + result.content).addClassName("gayBt");
		$("#reviewOperate" + result.content).css("color", "#999");

		alert("评价成功");
	} else {
		alert(result.content);
	}
}

//打开评价店铺层
function openReviewStoreBlock() {
	$("#reviewStoreBlock").toggle();
}

//评价店铺
function reviewStore() {
	var reviewStoreFrom = document.forms["reviewStoreFrom"];

	var oid = reviewStoreFrom.elements["oid"].value;
	var descriptionStar = parseInt(reviewStoreFrom.elements["descriptionStar"].value);
	var serviceStar = parseInt(reviewStoreFrom.elements["serviceStar"].value);
	var shipStar = parseInt(reviewStoreFrom.elements["shipStar"].value);

	$.post(apiUrl + "/mobile/ucenter/reviewstore?oid=" + oid, {
		'descriptionStar': descriptionStar,
		'serviceStar': serviceStar,
		'shipStar': shipStar
	}, reviewStoreResponse);
}

//处理评价店铺的反馈信息
function reviewStoreResponse(data) {
	var result = eval("(" + data + ")");
	if(result.state == "success") {
		$("#reviewStoreBlock").hide();
		$("#reviewStoreBut").remove();
		alert("评价成功");
	} else {
		alert(result.content);
	}
}